# scripts-bash
Some bash scripts

Le script `install.sh` a été créé pour automatiser le processus de copie de fichiers depuis un dépôt Git local vers un répertoire local, en préservant la structure des fichiers et en renommant les fichiers pour supprimer leurs extensions. Le script a également la capacité d'ajouter le répertoire de destination au chemin d'accès (PATH) de l'utilisateur.


1. Clonez ce dépôt Git
2. Assurez-vous que le script est exécutable en utilisant la commande `chmod +x copy_files.sh`.
3. Exécutez le script en utilisant `./install.sh`.

Toutes les opérations et les messages d'erreur sont enregistrés dans un fichier journal (`~/log/copy_files.log`) situé dans le répertoire personnel de l'utilisateur. Le journal comprend la date, l'heure, le numéro de processus (PID) et les messages d'exécution du script.

Le dossier `local/share/doc` contient la documentation de chaque script.



# License
Shield: [![CC BY-SA 4.0][cc-by-sa-shield]][cc-by-sa]

This work is licensed under a
[Creative Commons Attribution-ShareAlike 4.0 International License][cc-by-sa].

[![CC BY-SA 4.0][cc-by-sa-image]][cc-by-sa]

[cc-by-sa]: http://creativecommons.org/licenses/by-sa/4.0/
[cc-by-sa-image]: https://licensebuttons.net/l/by-sa/4.0/88x31.png
[cc-by-sa-shield]: https://img.shields.io/badge/License-CC%20BY--SA%204.0-lightgrey.svg
