# playlist_gen(1) - Génère une playlist M3U à partir de fichiers audio

## SYNOPSIS

**playlist_gen** [-n \<nombre de fichiers\>] [-d \<répertoire\>] [-o \<fichier de sortie\>]

## DESCRIPTION

**playlist_gen** est un script Bash qui permet de générer une playlist M3U à partir de fichiers audio situés dans un répertoire spécifié.

## OPTIONS

- **-n \<nombre de fichiers\>** : Spécifie le nombre de fichiers à inclure dans la playlist. Par défaut, le nombre de fichiers est 100.

- **-d \<répertoire\>** : Spécifie le répertoire à scanner pour les fichiers audio. Par défaut, le répertoire actuel est utilisé.

- **-o \<fichier de sortie\>** : Spécifie le nom du fichier M3U de sortie. Par défaut, le fichier est créé dans le répertoire de la musique de l'utilisateur.

## UTILISATION

```
playlist_gen -n 50 -d /chemin/vers/repertoire -o playlist.m3u
```

## COMPATIBILITÉ

Ce script est compatible avec les fichiers audio aux formats MP3, Opus, Ogg et M4A.

## EXEMPLES

1. Générer une playlist M3U à partir du répertoire de musique par défaut de l'utilisateur :

   ```
   playlist_gen
   ```

2. Générer une playlist M3U à partir d'un répertoire spécifique avec 25 fichiers audio :

   ```
   playlist_gen -n 25 -d /chemin/vers/repertoire
   ```

## AUTEUR

Ce script a été écrit par Cédric Abonnel.

## RAPPORTS D'ERREURS

Pour signaler des erreurs ou des problèmes : https://git.abonnel.fr/cedricAbonnel/scripts-bash

