#!/bin/bash

# Chemin du fichier uninstall-list
uninstall_list_file=$HOME/.config/a5l_scripts-bash_uninstall-list

# Vérifie si le fichier uninstall-list existe
if [ -e $uninstall_list_file ]; then
    # Parcourt le fichier ligne par ligne
    while IFS= read -r file; do
        if [ -e "$file" ]; then
            # Supprime le fichier
            rm -v "$file"
        fi
    done < "$uninstall_list_file"

    rm -v "$uninstall_list_file"
else
    echo "Le fichier $uninstall_list_file n'existe pas."
fi

